# Uses of Class
java.awt.PageAttributes.ColorType

Packages that use PageAttributes.ColorType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of PageAttributes.ColorType in java.awt

Fields in java.awt declared as PageAttributes.ColorType
Modifier and Type
Field
Description
`static final PageAttributes.ColorType`
PageAttributes.ColorType.`COLOR`
The ColorType instance to use for specifying color printing.
`static final PageAttributes.ColorType`
PageAttributes.ColorType.`MONOCHROME`
The ColorType instance to use for specifying monochrome printing.
Methods in java.awt that return PageAttributes.ColorType
Modifier and Type
Method
Description
`PageAttributes.ColorType`
PageAttributes.`getColor()`
Returns whether pages using these attributes will be rendered in color or monochrome.
Methods in java.awt with parameters of type PageAttributes.ColorType
Modifier and Type
Method
Description
`void`
PageAttributes.`setColor(PageAttributes.ColorType color)`
Specifies whether pages using these attributes will be rendered in color or monochrome.
Constructors in java.awt with parameters of type PageAttributes.ColorType
Modifier
Constructor
Description
``
`PageAttributes(PageAttributes.ColorType color, PageAttributes.MediaType media, PageAttributes.OrientationRequestedType orientationRequested, PageAttributes.OriginType origin, PageAttributes.PrintQualityType printQuality, int[] printerResolution)`
Constructs a PageAttributes instance with the specified values for every attribute.